program test_mean
   use UTILS
   implicit none
   real::x,y,z,a,g,h,w

   write(*,*) "can I have three real numbers x,y,z?"
   read(*,*) x,y,z
   call mean(x,y,z,a,g,h)
   write(*,*) "arithmetic average", a
   write(*,*) "geometric  average", g
   write(*,*) "harmonic average", h
   w=exmpfunc(a,g,h)
   write(*,*) "the exmpfunc function returns",w
end program



